#!/usr/bin/ksh
# SimonsWare Scripted Install for DSTClient
# Version 1.3.2

VERSION=1.3.2
until [[ "$STARTINSTALL" = "y" || "$STARTINSTALL" = "Y" ]]
do
  clear
  ESYN=""
  ASYN=""
  DSYN=""

  print "                      ****************************"
  print "                      *     DSTClient Install    *"
  print "                      *       Version $VERSION      *"
  print "                      ****************************"
  print ""
  print "         This script will install DSTClient on this machine."
  print "         Leaving any entry blank and pressing Enter will immediately"
  print "         exit the script."
  print ""
  print ""
  read JAVAPATH?"    Please enter the path to your Java install        : "
  if [ "$JAVAPATH" = "" ]; then
    exit
  fi
  read APPPATH?"    Enter the path where you want to install DSTClient: "
  if [ "$APPPATH" = "" ]; then
    exit
  fi
  read LOGPATH?"    Enter the path where you want to save logs files  : "
  if [ "$LOGPATH" = "" ]; then
    exit
  fi
  
  print ""
  clear
  print ""
  print ""
  print "                      ****************************"
  print "                      *     DSTClient Install    *"
  print "                      *       Version $VERSION      *"
  print "                      ****************************"
  print ""
  print "     Is the following information correct?"
  print "     **************************************************************"
  print "     Java location               : $JAVAPATH"
  print "     Application install location: $APPPATH"
  print "     Application Log location    : $LOGPATH"
  print ""
  read STARTINSTALL?"     Continue with installation?(y/n) : "
done
print ""
print ""
print "Installing..."
mkdir -p $APPPATH
if [ "$LOGPATH" != "$APPPATH" ]; then
	mkdir -p $LOGPATH
fi
THISDIR=`pwd`
cd $APPPATH
tar -xf $THISDIR/dstclient.tar

print "Creating shell script"
echo "JAVA_DIR=$JAVAPATH" > dstclient.sh
echo "APP_PATH=$APPPATH" >> dstclient.sh
echo "LOG_PATH=$LOGPATH" >> dstclient.sh
echo ""  >> dstclient.sh
echo "cd \$APP_PATH" >> dstclient.sh
echo "nohup \$JAVA_DIR/java -Xmx256m -jar \"\$APP_PATH/DSTClient.jar\" >> \$LOG_PATH/dstclient.log & 2>&1" >> dstclient.sh
chmod 555 dstclient.sh

print "Install complete!"
